diff -uNr sendmail-8.12.9.orig/PATCH/Makefile sendmail-8.12.9/PATCH/Makefile
--- sendmail-8.12.9.orig/PATCH/Makefile	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/Makefile	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,38 @@
+#
+# Rebuild databases of sendmail
+#
+
+ETC	=	$(DESTDIR)/etc/
+MAIL	=	$(ETC)mail/
+
+all:	$(ETC)aliases.db \
+	$(MAIL)mailertable.db \
+	$(MAIL)genericstable.db \
+	$(MAIL)virtusertable.db \
+	$(MAIL)access.db \
+	$(MAIL)userdb.db
+
+#
+# newaliases
+#
+$(ETC)aliases.db: $(ETC)aliases
+	@echo "Rebuilding $@."
+	sendmail -bi
+	test -e $@ && touch $@
+
+#
+# Default db type is hash
+#
+%.db: %
+	@echo "Rebuilding $@."
+	makemap hash -f $@ < $<
+	test -e $@ && touch $@
+
+#
+# For user db we use btree type
+#
+$(MAIL)userdb.db: $(MAIL)userdb
+	@echo "Rebuilding $@."
+	makemap btree -f $@ < $<
+	test -e $@ && touch $@
+
diff -uNr sendmail-8.12.9.orig/PATCH/README sendmail-8.12.9/PATCH/README
--- sendmail-8.12.9.orig/PATCH/README	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/README	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,235 @@
+Copyright (c) 1997-1999,2000 SuSE GmbH Nuernberg, Germany.
+Author: Florian La Roche
+        Werner Fink      <werner@suse.de>
+
+
+simple sendmail configurations:
+===============================
+
+sendmail is the default mail transfer agent (MTA) for SuSE Linux.
+It decides what to do with email: transfer it over the network,
+store it on the local disk or hand it over to other transfer-
+programs like UUCP.
+
+/etc/sendmail.cf is the main sendmail configuration file. If you have
+a simple setup, you can edit /etc/rc.config.d/sendmail.rc.config and
+run /sbin/SuSEconfig to have a working /etc/sendmail.cf.
+
+Before setting up sendmail, you should make sure that the DNS (domain name
+system) data is correctly configured. DNS maps hostnames to IP-adresses.
+For email you should make sure that your wanted email adresse has a valid
+MX (mail exchanger) record in the DNS data. Just use "host my.host.com"
+to find out about your DNS data:
+	$ host my.host.com
+	my.host.com address 192.168.0.14
+	my.host.com mail is handled (pri=10) by my.host.com
+	my.host.com mail is handled (pri=100) by mail-relay.host.com
+If you don't see anything about mail delivery, please ask your responsible
+DNS admin.  For dialup connetions all hosts used for mailing, like
+the local, the mail hub, the smart, and the mail relay host should
+be declared with their IP addresses and the corresponding Full Qualified
+Domain Names (FQDN).
+
+These parameters in /etc/rc.config.d/sendmail.rc.config can be used to
+configure sendmail:
+
+- SENDMAIL_LOCALHOST="localhost host.domain.com www.domain.com"
+  sendmail has to decide what email is delivered locally and what has
+  to be send over the network to another host. Per default only email
+  to the full hostname (FQDN) is stored in local mail-folders. If you
+  need to accept additional email names, just add them here.
+
+  Example: Your computer is known as "host.domain.com" and is also
+  WWW server for the additional hostname "www.domain.com". Use the
+  following parameters in rc.config:
+	SENDMAIL_TYPE=yes
+	SENDMAIL_LOCALHOST="localhost host.domain.com www.domain.com"
+
+  Sometimes it is usefull to add these additional hostnames into
+  the /etc/hosts. E.g. if SENDMAIL_EXPENSIVE (see below) is set to
+  yes and dialups should be avoided.
+
+- FROM_HEADER="domain.com" (within /etc/rc.config)
+  If you do not want your outgoing email to have your full hostname
+  as sender address, you can specify any other hostname here.
+
+  Example: Your machine is called foo.bar.com and you want your email
+  sender address to look like hugo@bar.com, you have the following
+  parameter set in rc.config:
+	FROM_HEADER="bar.com"
+
+- MASQUERADE_DOMAINS="otherdomain.com"
+  Normally, any hosts decided as locally are masqueraded.  If
+  this feature is given, only the hosts listed in MASQUERADE_DOMAINS
+  are masqueraded.  This is useful if you have several domains with
+  disjoint namespaces hosted on the same machine.
+
+- SENDMAIL_SMARTHOST="mail-server.provider.com"
+  For all non-local email, sendmail will contact the destination host
+  given by DNS. So it will try to establish connections all over the
+  internet. If you have a dialup-connection or your machine is not
+  running all the time, you should pass all outgoing email to an email-
+  server which tries to deliver your email to the destination host.
+  (This parameter gives a transport method and also the name of the next
+  destination host.)
+
+  Example 1: You have a dialup-connection and your provider has the host
+  "mail-server.provider.com" as main mail-server. Use the following
+  parameter in rc.config:
+	SENDMAIL_SMARTHOST="smtp:mail-server.provider.com"
+  Example 2: You are a UUCP site and all (non-local) outgoing email
+  should be sent to your UUCP server called "uucp.server.com":
+	SENDMAIL_SMARTHOST="uucp-dom:uucp.server.com"
+
+- SENDMAIL_NOCANONIFY=no
+  sendmail will look at all email hostnames and replace them by their
+  full hostnames. If you only have a dialup-connection and you always
+  use full hostnames for sending email, you can disable this "canonification"
+  of the hostname:
+	SENDMAIL_NOCANONIFY=yes
+
+- SENDMAIL_NODNS=no
+  If set to yes sendmail is not able to do DNS-queries.  It requires a
+  well configured /etc/hosts to help sendmail to do its job.  People
+  using dial on demand should try out SENDMAIL_NOCANONIFY without this
+  option. With this option the file /etc/mail/service-nodns.switch
+  is used. Whereas /etc/mail/service.switch is the regular file.
+
+- SENDMAIL_EXPENSIVE=no
+  sendmail will immediately try to deliver your email to the next
+  destination host. With SENDMAIL_EXPENSIVE=yes all email that should
+  be sent with smtp to the next host will be kept in your local
+  mail-queue.
+
+- SENDMAIL_DIALUP=no
+  set to yes sendmail tries to deliver local mails in defer (postpone)
+  mode. This also sets some entries to avoid dialups. This requires
+  a correct FQDN for the local host.
+  
+- SENDMAIL_GENERICS_DOMAIN=""
+  this list will cause certain addresses originating locally (i.e. that
+  are unqualified) or domains to be looked up in a map and turned into
+  another ("generic") form, which can change both the domain name and
+  the user name.  These domains can additional to the local domains be
+  changed in /etc/mail/genericstable
+
+- SENDMAIL_ARGS="-bd -q30m -om"
+  You normally have sendmail runing with these standard parameters:
+  "-q30m" will look every 30 minutes to re-try sending failed email.
+  "-bd" will start sendmail in daemon mode and sendmail will accept
+  email over the network from other hosts.
+  Dialup-hosts might leave out "-q30m" and run "sendmail -q" e.g.
+  in the evening as cron-job or as part of your dialup scripts.
+	SENDMAIL_ARGS="-bd -q30m -om"   (default setting)
+	SENDMAIL_ARGS="-bd -q120m -om"  (email delivery every 2 hours)
+	SENDMAIL_ARGS="-bd -om"         (no queue runs at all)
+
+sendmail.cf supports some more external database files. The default
+configuration uses /etc/aliases, /etc/mail/mailertable,
+/etc/mail/genericstable and /etc/mail/virtusertable.
+These files are normal text files that are converted with "makemap"
+to the real database files (ending in .db). /sbin/SuSEconfig will
+automatically call "makemap" if you have changed one of these files.)
+
+For all outgoing email, sendmail will use the destination hostname
+and look into /etc/mail/mailertable to see how this email should
+be transported to the next destination. Please read that file for
+some examples on email-routing.
+
+If your email is stored locally, then it is normally stored in your
+mail-folder in /var/spool/mail/<login-name>.
+
+If sendmail cannot imediately deliver email (e.g. because of network
+problems), it will store it in the queue directory /var/spool/mqueue.
+Per default sendmail will re-try to deliver the email every 30 minutes.
+
+
+background information about general email things:
+==================================================
+
+Our sendmail package is configured to use /usr/bin/procmail for local
+email delivery into /var/spool/mail. So please read "man procmailrc",
+"man procmailex" and "man procmail" for more infos about this very fine
+program.
+
+The SMTP protocol is used to transfer emails over the network to another
+host. SMTP exchanges the sender and the recipient of the email and then
+the complete email with header and body. These sender/recipient addresses
+are called "envelope from" and "envelope to". sendmail will base all
+email delivery decisions on the envelope information and not on the
+information given in the email header. Please note this small difference
+and also see that the "From:" line in the email header is not used for
+further email delivery. (If you have a ".forward" file that forwards
+your email to a new destination, the "From:" line in your email header will
+remain unchanged, but the envelope information is changed to your new
+address.)
+Once the email is stored in your mail-folder in /var/spool/mail, the
+information about envelope addresses is lost. This is the reason, why
+you cannot use POP to fetch email for a complete domain as POP reads
+a normal mail-folder without any envelope information.
+
+Here is a simple model about what DNS does. It is not really the truth,
+but is a quit good model to learn about the difficulties with configuring
+email. All IP packets are routed by their IP adresses. Whenever you give
+any program a hostname, this will first be translated by a DNS server or
+by /etc/hosts into an IP address.
+DNS uses two translation tables. One is used for normal hostname lookups
+like e.g. "telnet host.com" and one is used only for email. So "telnet"
+might open a connection to a different host than sending email to that
+address. This is the reason you should never configure sendmail to use
+/etc/hosts for hostname translations. Please take the trouble of setting
+up a DNS server if you want to deliver email to several machines.
+If you really don't want to do that, use /etc/mail/mailertable to specify
+a destination IP address for each host without valid DNS data.
+
+Here is a bit more detailed information about DNS tables:
+- One table is used to give you a mapping from all IP addresses to a
+  hostname. This is called a "reverse mapping" as you normally only
+  want to get an IP address from a hostname.
+- You have tables that translate a hostname into one or more IP adresses.
+  These are called "a(ddress) records".
+- You can have entries pointing to other a-records. These are called
+  alias names or "CNAME" by DNS. (The alias names point to the canonical
+  name, CNAME.)
+
+
+background information for more complex sendmail configurations:
+================================================================
+
+If you want to create your own /etc/sendmail.cf, you can set
+SENDMAIL_TYPE=no in /etc/rc.config.d/sendmail.rc.config .
+
+/usr/share/sendmail contains m4 macro files that are often used to
+generate a sendmail.cf file. (This is also done by /sbin/SuSEconfig
+for the simple configurations with rc.config.)
+/etc/mail/linux.mc is a sample file with lots of comments about
+possible configurations. Change it to your local needs and call
+"m4 /etc/mail/linux.mc > /etc/sendmail.cf".
+
+Please look at the available docu files in /usr/share/sendmail and
+/usr/doc/packages/sendmail. Maybe also look at http://www.sendmail.org/.
+I really recommend reading the sendmail book by O'Reilly for complex
+email setups. This readme is much too small to learn you everything
+about email :-)
+
+
+anti-spam support in this sendmail package:
+===========================================
+
+Read /etc/mail/linux.mc carefully.  Check the following pages for the
+newest information about anti-spam measures:
+
+- http://www.sendmail.org/antispam.html
+- http://spam.abuse.net/
+- http://maps.vix.com/rbl/
+- http://www.informatik.uni-kiel.de/%7Eca/email/check.html
+
+You can do the following things against email spam:
+- Stop relaying email for non-local hosts so your site is not mis-used
+  to deliver spam email to other hosts.
+- Refuse to deliver email to local users from a list of well-known
+  spam-sites.
+- Refuse email all emails that do not have a valid MX record.
+  Use a "temporary failure, please try again" so that email is not lost
+  if we cannot get the DNS data due to network problems.
+
diff -uNr sendmail-8.12.9.orig/PATCH/Sendmail.conf sendmail-8.12.9/PATCH/Sendmail.conf
--- sendmail-8.12.9.orig/PATCH/Sendmail.conf	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/Sendmail.conf	Wed Apr  2 16:28:19 2003
@@ -0,0 +1 @@
+pwcheck_method:	shadow
diff -uNr sendmail-8.12.9.orig/PATCH/access sendmail-8.12.9/PATCH/access
--- sendmail-8.12.9.orig/PATCH/access	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/access	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,3 @@
+127		RELAY
+62.116.129.201	RELAY
+
diff -uNr sendmail-8.12.9.orig/PATCH/aliases sendmail-8.12.9/PATCH/aliases
--- sendmail-8.12.9.orig/PATCH/aliases	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/aliases	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,83 @@
+# Copyright (c) 1997-1999,2000 SuSE GmbH Nuernberg, Germany.
+# Author: Florian La Roche
+#         Werner Fink      <werner@suse.de>
+#
+# The program "newaliases" must be run after changing this file.
+
+# It is probably best to not work as user root and redirect all
+# email to "root" to another account. Then you don't have to check
+# for important email too often on the root account.
+# The "\root" will make sure that email is also delivered to the
+# root-account, but also forwared to the user "joe".
+#root:		joe, \root
+
+# Basic system aliases that MUST be present.
+postmaster:	root
+mailer-daemon:	postmaster
+
+# amavis
+virusalert:	root
+
+# General redirections for pseudo accounts in /etc/passwd.
+administrator:	root
+daemon:		root
+lp:		root
+news:		root
+uucp:		root
+games:		root
+man:		root
+at:		root
+postgres:	root
+mdom:		root
+amanda:		root
+ftp:		root
+wwwrun:		root
+squid:		root
+msql:		root
+gnats:		root
+nobody:		root
+# "bin" used to be in /etc/passwd
+bin:		root
+
+# Further well-known aliases for dns/news/ftp/mail/fax/web/gnats.
+newsadm:	news
+newsadmin:	news
+usenet:		news
+ftpadm:		ftp
+ftpadmin:	ftp
+ftp-adm:	ftp
+ftp-admin:	ftp
+hostmaster:	root
+mail:		postmaster
+postman:	postmaster
+post_office:	postmaster
+# "abuse" is often used to fight against spam email
+abuse:		postmaster
+spam:		postmaster
+faxadm:		root
+faxmaster:	root
+webmaster:	root
+gnats-admin:	root
+
+# Majordomo can be used to have mailinglists on your site.
+#majordomo:		"|/usr/lib/majordomo/wrapper majordomo"
+#owner-majordomo:	root,
+#majordomo-owner:	root,
+
+# sample entry for a majordomo mailing-list called "test"
+# read /usr/doc/packages/majordomo/README.linux for more information
+# replace "test" with a new name and put the administrator into
+# the "owner-test" alias instead of "root".
+#
+#test:			"|/usr/lib/majordomo/wrapper resend -l test test-outgoing"
+#test-outgoing:		:include:/var/lib/majordomo/lists/test
+#test-request:		"|/usr/lib/majordomo/wrapper majordomo -l test"
+#test-approval:		owner-test,
+#owner-test-outgoing:	owner-test,
+#owner-test-request:	owner-test,
+#owner-test:		root,
+#
+# if you have bulk_mailer installed, you can replace the above
+# "test-outgoing" line with the following:
+#test-outgoing:		"|/usr/bin/bulk_mailer owner-test@host.com /var/lib/majordomo/lists/test"
+#
diff -uNr sendmail-8.12.9.orig/PATCH/auth/auth.info sendmail-8.12.9/PATCH/auth/auth.info
--- sendmail-8.12.9.orig/PATCH/auth/auth.info	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/auth/auth.info	Wed Apr  2 16:28:19 2003
@@ -0,0 +1 @@
+# auth.info
diff -uNr sendmail-8.12.9.orig/PATCH/builddbs.sh sendmail-8.12.9/PATCH/builddbs.sh
--- sendmail-8.12.9.orig/PATCH/builddbs.sh	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/builddbs.sh	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+chmod 644 /etc/mail/*.db
+cd /etc/mail
+rm /etc/mail/*.db
+newaliases
+make all
+chmod 644 /etc/mail/*.db
+
diff -uNr sendmail-8.12.9.orig/PATCH/createuser.sh sendmail-8.12.9/PATCH/createuser.sh
--- sendmail-8.12.9.orig/PATCH/createuser.sh	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/createuser.sh	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+grep "^smmsp" /etc/group
+if [ $? != 0 ] ; then
+  echo "create group smmsp..."
+  groupadd smmsp
+else
+  echo "group smmsp already exists!"
+fi
+
+id smmsp
+if [ $? != 0 ] ; then
+  echo "create user smmsp..."
+  useradd smmsp -g smmsp -d /var/spool/clientmqueue -s /bin/false -c "Sendmail Submission User"
+else
+  echo "user smmsp already exists!"
+fi
+
diff -uNr sendmail-8.12.9.orig/PATCH/createuser.sh~ sendmail-8.12.9/PATCH/createuser.sh~
--- sendmail-8.12.9.orig/PATCH/createuser.sh~	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/createuser.sh~	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+grep "^smmsp" /etc/group
+if [ $? != 0 ] ; then
+  groupadd smmsp
+fi
+id smmsp
+if [ $? != 0 ] ; then
+  useradd smmsp -g smmsp -d /var/spool/clientmqueue -s /bin/false -c "Sendmail Submission User"
+fi
diff -uNr sendmail-8.12.9.orig/PATCH/genericstable sendmail-8.12.9/PATCH/genericstable
--- sendmail-8.12.9.orig/PATCH/genericstable	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/genericstable	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,20 @@
+# /etc/mail/genericstable
+#
+# Author: Werner Fink <werner@suse.de>
+#
+# Description:
+#
+#  map outgoing sender addresses from the (unqualified) left hand side
+#  to the qualified addresses on the right hand side.  The same types
+#  of addresses as for masquerading are looked up, i.e., only header
+#  sender addresses unless the allmasquerade and/or masquerade_envelope
+#  features are given (rc.config -> FROM_HEADER). Qualified addresses
+#  must have the domain part in the list of names given by the by the
+#  macro GENERICS_DOMAIN (rc.config -> SENDMAIL_GENERICS_DOMAIN).
+#
+# Format:
+#
+#user@uqhost		realuser@fqhost
+#user			realuser@fqhost
+#           ^^^^^^^^^^^^
+#     (these are <TAB> stops)
diff -uNr sendmail-8.12.9.orig/PATCH/internetx.mc sendmail-8.12.9/PATCH/internetx.mc
--- sendmail-8.12.9.orig/PATCH/internetx.mc	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/internetx.mc	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,36 @@
+include(`/usr/share/sendmail/m4/cf.m4')
+
+VERSIONID(`$Id: internetx.mc,v 1.4 2003/03/04 10:40:47 cvstom Exp $')
+OSTYPE(linux)dnl
+DOMAIN(generic)dnl
+dnl define(`confSMTP_LOGIN_MSG', `')dnl
+define(`ALIAS_FILE', `/etc/mail/aliases')dnl
+FEATURE(`use_cw_file')dnl
+define(`confCW_FILE', `/etc/mail/sendmail.cw')dnl
+FEATURE(`use_ct_file')dnl
+FEATURE(`virtusertable', `hash -o /etc/mail/virtusertable.db')dnl
+FEATURE(`access_db', `hash -T<TMPF> -o /etc/mail/access.db')dnl
+FEATURE(`mailertable', `hash -o /etc/mail/mailertable.db')
+FEATURE(`use_ct_file', `/etc/mail/trusted-users')
+FEATURE(`relay_mail_from')
+FEATURE(`redirect')
+FEATURE(`always_add_domain')
+FEATURE(`accept_unresolvable_domains')
+FEATURE(`blacklist_recipients')
+
+dnl FEATURE(dnsbl, `blackholes.mail-abuse.org', `Rejected - see  http://www.mail-abuse.org/rbl/')dnl
+dnl FEATURE(dnsbl, `dialups.mail-abuse.org', `Dialup - see http://www.mail-abuse.org/dul/')dnl
+dnl FEATURE(dnsbl, `relays.mail-abuse.org', `Open spam relay - see http://work-rss.mail-abuse.org/rss/')dnl
+dnl FEATURE(dnsbl, `map.rbl.internetx.de', `Spam blocked - see http://rbl.internetx.de')dnl
+
+TRUST_AUTH_MECH(`GSSAPI CRAM-MD5 DIGEST-MD5 LOGIN PLAIN')dnl
+define(`confAUTH_MECHANISMS', `CRAM-MD5 DIGEST-MD5 LOGIN PLAIN')dnl
+define(`confDEF_AUTH_INFO', `/etc/mail/auth/auth-info')dnl
+
+dnl verschicken an eine ip binden
+dnl define(`confCLIENT_OPTIONS', `Address=192.168.100.67')dnl
+
+MAILER(local)dnl
+MAILER(smtp)dnl
+MAILER(procmail)dnl
+
diff -uNr sendmail-8.12.9.orig/PATCH/linux.mc sendmail-8.12.9/PATCH/linux.mc
--- sendmail-8.12.9.orig/PATCH/linux.mc	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/linux.mc	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,235 @@
+divert(-1)
+# Copyright (c) 1997-1999,2000 SuSE GmbH Nuernberg, Germany.
+# Author: Florian La Roche
+#         Werner Fink      <werner@suse.de>
+#
+# After the `divert(0)' all lines starting with `dnl' are
+# comments until the next newline character.
+# Putting words into `'-pairs disables macro expansion
+#
+include(`/usr/share/sendmail/m4/cf.m4')
+divert(0)dnl
+VERSIONID(`@(#)Setup for SuSE Linux	8.11.0-0.4 (SuSE Linux) 04/09/2000')
+dnl
+dnl  This is the default configuration for SuSE Linux.
+dnl  See `/usr/share/sendmail/ostype/suse-linux.m4' and take a look
+dnl  into `/usr/share/sendmail/README' for more information.
+dnl
+dnl  The suse-linux.m4 enables the FEATUREs mailertable, genericstable,
+dnl  virtusertable, and access_db.  Just look to those file for some
+dnl  examples.  They are stored in `/etc/mail/'.  If you have changed
+dnl  one or more files you should run SuSEconfig or generate the
+dnl  `.db' files by hand (see /sbin/conf.d/SuSEconfig.sendmail).
+dnl
+dnl  NOTE: YOU HAVE TO CHANGE THE CONFIGURATION TO FIT YOUR NEEDS
+dnl        BEFORE ACTIVTING SOME OF THESE EXAMPLES!
+dnl
+OSTYPE(`suse-linux')dnl
+dnl
+dnl  By default the MSA (Message Submission Agent) daemon is disabled on
+dnl  SuSE Linux.  If you want to use this service enabled the following.
+dnl
+dnl DAEMON_OPTIONS(`Port=587,Name=MSA,M=E')dnl
+dnl
+dnl  Do not send MIME error messages
+dnl
+dnl define(`confMIME_FORMAT_ERRORS', `False')dnl
+dnl
+dnl  If you have a modem and you use dial on demand, specify the time
+dnl  until you have a working connection. Sendmail will then retry to
+dnl  establish a connection.
+dnl
+dnl define(`confDIAL_DELAY', `10s')dnl
+dnl
+dnl  Timeout before a warning message is sent to the sender telling them
+dnl  that the message has been deferred.  The FEATURE(dialup) will
+dnl  overwrite this.
+dnl
+dnl define(`confTO_QUEUEWARN', `4h')dnl
+dnl
+dnl  Timeout before a message is returned as undeliverable
+dnl
+dnl define(`confTO_QUEUERETURN', `5d')dnl
+dnl
+dnl  If you have lots of users, you might want to add "restrictmailq" and
+dnl  "restrictrunq", but normally they can be left out.  "authwarnings"
+dnl  warns about all people that e.g. use "sendmail -bs" and adds
+dnl  `X-Authentication-Warning:' headers.  Pine users might want to disable this.
+dnl  "noreceipts" disables DSN (Delivery Status Notification) and ignores all
+dnl  `Return-Receipt-To:' headers even if `confRRT_IMPLIES_DSN' is `true'.
+dnl  For service provider using ETRN on port 25 the noetrn could be removed.
+dnl
+dnl define(`confPRIVACY_FLAGS', `authwarnings,needmailhelo,novrfy,noexpn,noetrn,noverb')dnl
+dnl
+dnl  These users given in `/etc/mail/sendmail.ct' are allowed to modify
+dnl  the email sender address.
+dnl
+dnl FEATURE(`use_ct_file')dnl
+dnl
+dnl  You can specify a smart host either here or in `/etc/mail/mailertable'
+dnl
+dnl define(`SMART_HOST',	`smtp:mail.smarthost.other.domain')dnl
+dnl define(`SMART_HOST',	`uucp-dom:otheruucphost')dnl
+dnl define(`MAIL_HUB',		`smtp:host.your.domain')dnl
+dnl define(`LOCAL_RELAY',	`smtp:host.your.domain')dnl
+dnl
+dnl  Redirect all email to unknown people to Postmaster.
+dnl
+dnl define(`LUSER_RELAY', `local:postmaster')dnl
+dnl
+dnl  Enable the following SuSE FEATURE, if you have a expensive
+dnl  dialup connection for SMTP and want to queue all email until
+dnl  `sendmail -q' is started.
+dnl
+dnl FEATURE(`expensive')dnl
+dnl
+dnl  This is used for dial-on-demand connections where we don't want to
+dnl  trigger a connection just for a DNS query.
+dnl  Sendmail will give all hostnames to your DNS server and replace the
+dnl  names with the FQDN ones. As nearly all email-programs use the full
+dnl  hostname and you will probably also just use full hostnames as
+dnl  destination addresses, you could disable `nocanonify'.  With `nodns'
+dnl  you should declare the local, the mail hub, the smart, and the mail
+dnl  relay host with their IP addresses and the corresponding Full Qualified
+dnl  Domain Names (in short FQDN which means hostname.domain) /etc/hosts.
+dnl  Do NOT use this together with anti-spam FEATUREs.
+dnl
+dnl FEATURE(`nocanonify')dnl
+dnl HACK(`nodns')dnl
+dnl
+dnl  The following FEATURE provides the possibility to avoid further
+dnl  dialups.  The delivery mode is defer (postpone) therefore this
+dnl  FEATURE should NOT be used in combination with anti-spam FEATUREs.
+dnl  Note, that this FEATURE needs the FQDN as stored in /etc/rc.config
+dnl  in the variable FQHOSTNAME.  Therefore replace myhost.newdomain.notused!
+dnl
+dnl FEATURE(`dialup', `myhost.newdomain.notused')dnl
+dnl
+dnl  This is a NO NO and only suitable in real intranet.  This because
+dnl  it `provides' a mail really for spam mails even if your local host
+dnl  is connected over a dialup line.  To avoid this miss-FEATURE you
+dnl  should enable FEATURE(`use_cw_file') and declare the hosts to accept
+dnl  in `/etc/mail/sendmail.cw'.
+dnl  Do NEVER use this together with anti-spam FEATUREs or being connected
+dnl  to the Internet.
+dnl
+dnl FEATURE(`promiscuous_relay')dnl
+dnl  
+dnl  Sendmail only accepts emails as local that use the FQDN. If you want
+dnl  to accept further hostnames as local email, add them here or put
+dnl  them into the `/etc/mail/sendmail.cw' file.
+dnl
+dnl FEATURE(`use_cw_file')dnl
+dnl
+dnl  This FEATURE enables (open)ldap and requires some arguments. For
+dnl  information see http://www.stanford.edu/~bbense/ldap/.  Note that this
+dnl  FEATURE define a map `ldap' and expand the AliasFile with `sequence:ldap'.
+dnl  We choose an other name for the proposed map name `luser' (see URL) to
+dnl  avoid conflicts with LUSER_RELAY.  The necessary change in rule S5 is
+dnl  already done and will be enabled by this FEATURE.
+dnl
+dnl FEATURE(`ldap', `place_here_your_configuration')dnl
+dnl
+dnl  The ldap_routing FEATURE is part of the official sendmail since 8.10.0.
+dnl  You'll find a description in /usr/share/sendmail/README at `LDAP ROUTING'.
+dnl  You've to replace example.notused, mailHostdefine, mailRoutingAddressdefine,
+dnl  and bounce argument if not `passthru' with your're own configuration.
+dnl
+dnl define(`confLDAP_DEFAULT_SPEC', `-h mailHost')dnl
+dnl LDAPROUTE_DOMAIN(`example.notused')dnl
+dnl FEATURE(`ldap_routing', dnl
+dnl `ldap -1 -v mailHost -k (&(objectClass=inetLocalMailRecipient) (mailLocalAddress=%0))', dnl
+dnl `ldap -1 -v mailRoutingAddress -k (&(objectClass=inetLocalMailRecipient) (mailLocalAddress=%0))', dnl
+dnl `bounce')dnl
+dnl
+dnl  To stop spamming from known domains and known senders you should
+dnl  not use the FEATURE(dialup) nor FEATURE(promiscuous_relay) nor HACK(nodns).
+dnl  To turn on the ability to refuse or allow incoming mail for certain
+dnl  recipient usernames, hostnames, or addresses, you should declare them
+dnl  in `/etc/mail/access'.
+dnl  You can provide a black list for the FEATURE below list which is used to
+dnl  block incoming mail for certain recipient usernames, hostnames, or
+dnl  addresses.
+dnl
+dnl FEATURE(`blacklist_recipients')dnl
+dnl
+dnl  The Realtime Blackhole List is a service of rbl.maps.vix.com
+dnl  (see http://maps.vix.com/rbl/). It provides a list of hosts 
+dnl  of known spammers.  The FEATURES below are some other server
+dnl  for rejecting well known spammers
+dnl  (see http://maps.vix.com/ and http://www.orbs.org/).
+dnl
+dnl FEATURE(`dnsbl')dnl
+dnl FEATURE(`dnsbl',`dul.maps.vix.com',` Mail from $&{client_addr} rejected - dul; see http://maps.vix.com')dnl
+dnl FEATURE(`dnsbl',`relays.orbs.org', ` Mail from $&{client_addr} rejected - open relay; see http://www.orbs.org')dnl
+dnl
+dnl
+dnl  Just add the local domain if the email address doesn't have one
+dnl
+FEATURE(`always_add_domain')dnl
+dnl
+dnl  Specify the sender email address for all outgoing mail from the local
+dnl  machine. Most people also want to use "masquerade_envelope" to also
+dnl  change the envelope addresses.
+dnl  Use "allmasquerade" to also change the recipient address. Don't use
+dnl  this feature, if you don't have the full /etc/aliases and the full
+dnl  /etc/passwd on your host.
+dnl 
+dnl MASQUERADE_AS(`newdomain.notused')dnl
+dnl FEATURE(`masquerade_envelope')dnl
+dnl FEATURE(`allmasquerade')dnl
+dnl FEATURE(`no_local_masquerading')dnl
+dnl
+dnl  Normally, any hosts decided as locally are masqueraded.  If
+dnl  the feature limited_masquerade is used, only the hosts listed in
+dnl  MASQUERADE_DOMAIN() are masqueraded.  This is useful if you have
+dnl  several domains with disjoint namespaces hosted on the same machine.
+dnl
+dnl MASQUERADE_DOMAIN(`otherdmain.notused')dnl
+dnl FEATURE(`limited_masquerade')dnl
+dnl
+dnl  The list will cause certain addresses originating locally (i.e. that
+dnl  are unqualified) or domains to be looked up in a map and turned into
+dnl  another ("generic") form, which can change both the domain name and
+dnl  the user name.  These domains can additional to the local domains be
+dnl  changed in /etc/mail/genericstable
+dnl
+dnl GENERICS_DOMAIN(\`your.domain')dnl
+dnl
+dnl  Foreign package amavis needs libmilter interface
+dnl
+dnl define(\`_FFR_MILTER')dnl
+dnl divert(-1)
+dnl INPUT_MAIL_FILTER(\`milter-amavis', \`S=local:/var/run/amavis/amavis-milter.sock, T=S:10m;R:10m;E:10m')
+dnl divert(0)dnl
+dnl
+dnl  These mailers are available. per default only smtp is used. You have
+dnl  to add entries to /etc/mail/mailertable to enable one of the other
+dnl  mailers.
+dnl
+MAILER(`local')dnl
+MAILER(`smtp')dnl
+MAILER(`procmail')dnl
+MAILER(`uucp')dnl
+MAILER(`bsmtp')dnl
+MAILER(`fido')dnl
+dnl
+dnl  Just an other (open)ldap feature is the usage of maill500 as mailer
+dnl  for a given (open)ldap domain (see manual page mail500).
+dnl
+dnl MAILER(`mail500', `place_here_your_openldap_domain')dnl
+dnl
+dnl
+dnl We use the generic m4 macro definition. This defines
+dnl an extented .forward and redirect mechanism.
+dnl
+DOMAIN(`generic')dnl
+dnl
+dnl  This line is required for formating the /etc/sendmail.cf
+dnl
+LOCAL_CONFIG
+dnl
+dnl  The alternate names of this host:
+dnl
+dnl Cw localhost www.domain.notused
+dnl
diff -uNr sendmail-8.12.9.orig/PATCH/linux.nullclient.mc sendmail-8.12.9/PATCH/linux.nullclient.mc
--- sendmail-8.12.9.orig/PATCH/linux.nullclient.mc	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/linux.nullclient.mc	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,30 @@
+divert(-1)
+#
+# Copyright (c) 1999 SuSE GmbH Nuernberg, Germany.
+# Author: Werner Fink <werner@suse.de>
+#
+# This is a special case -- it creates a stripped down configuration
+# file containing nothing but support for forwarding all mail to a
+# central hub via a local SMTP-based network.  The argument is the
+# name of that hub.
+#
+
+include(`/usr/share/sendmail/m4/cf.m4')
+divert(0)dnl
+VERSIONID(`@(#)Setup for SuSE Linux	8.11.0-0.2 (SuSE Linux) 28/03/2000')
+dnl
+dnl  This is the default configuration for SuSE Linux.
+dnl  See /usr/share/sendmail/ostype/suse-linux.m4
+dnl  and /usr/share/sendmail/README for more information.
+dnl
+OSTYPE(`suse-linux')dnl
+dnl
+dnl  A stripped down configuration. Replace the mailhub.domain.notused
+dnl  with your real mailhub.
+dnl
+FEATURE(`nullclient', `mailhub.domain.notused')dnl
+FEATURE(`nocanonify')dnl
+dnl
+dnl  This line is required for formating the /etc/sendmail.cf
+dnl
+LOCAL_CONFIG
diff -uNr sendmail-8.12.9.orig/PATCH/mailertable sendmail-8.12.9/PATCH/mailertable
--- sendmail-8.12.9.orig/PATCH/mailertable	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/mailertable	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,36 @@
+# Copyright (c) 1997-1999 SuSE GmbH Nuernberg, Germany.
+# Author: Florian La Roche
+#
+# sendmail will look for all non-local email into this file to determine
+# the transport way to the next host. the destination hostname is used
+# to find an entry in this file.
+#
+# all uucp examples will use normal domain addressing for email.
+# this should be used by nearly everyone today.
+#
+# this will send all email via uucp to an attached uucp host.
+# a uucp server should have an entry for each attached uucp host.
+#uuhost.domain.com	uucp-dom:uuhost
+#
+# to configure one uucp host that needs to send all non-local mail
+# to a uucp-server called "uuserver", we just configure a smarthost entry:
+#.			uucp-dom:uuserver
+#
+# hosts sending email should be running all the day. if other hosts
+# are down, they can try in regular intervals to deliver email.
+# if you want to work on a machine that is not turned on all the time,
+# you can fetch email from the main email hub and send all outgoing
+# email directly to your local email hub for further delivery.
+# that is called a smarthost-entry:
+#.			smtp:mailhub.domain.com
+#
+# send all email for a special host to another host or to a specific IP:
+#host.sub.org		smtp:host.domain.com
+#host.sub.org		smtp:[192.168.0.1]
+#
+# send email for all hosts below .sub.org to another host:
+#.sub.org		smtp:host.domain.com
+#
+# send all email for a specific host to one local user called "foo":
+#host.sub.org		local:foo
+#
diff -uNr sendmail-8.12.9.orig/PATCH/rc.config.sendmail sendmail-8.12.9/PATCH/rc.config.sendmail
--- sendmail-8.12.9.orig/PATCH/rc.config.sendmail	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/rc.config.sendmail	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,78 @@
+#
+# do you want to generate a sendmail-configuration /etc/sendmail.cf from
+# parameters given in /etc/rc.config.d/sendmail.rc.config ("yes") or
+# do you want to generate your /etc/sendmail.cf yourself ("no") ?
+# (you could also use /etc/mail/linux.mc to do so.)
+#
+SENDMAIL_TYPE="YAST_ASK"
+
+#
+# smarthost - this host gets all outgoing email from us
+# normally used for uucp-connected sites or for dialup connections
+# use "uucp-dom:server.uucp.com" to deliver all email to "server.uucp.com"
+#
+SENDMAIL_SMARTHOST=""
+
+#
+# sendmail assumes the following space-separated host-names to be
+# the local host (this must just be used for names differrent to the
+# hostname, for e.g. aliases like www.nowhere.com)
+#
+SENDMAIL_LOCALHOST="localhost"
+
+#
+# do not deliver any email locally, but send all email to another host
+# this can just be used with another system that has the same users on it
+# and you probably also want to set the FROM_HEADER to the other host
+#
+SENDMAIL_RELAY=""
+
+#
+# with what parameters should sendmail be started?
+# normal sites use "-bd -q30m -om". if you set SENDMAIL_EXPENSIVE and you
+# have a dialup ISDN connection, you probably want to set this to
+# "-bd -om" and run "sendmail -q" from your crontab.
+#
+SENDMAIL_ARGS="-bd -q30m -om"
+
+#
+# sendmail will only queue email in /var/spool/mqueue and will only start
+# to deliver it if "sendmail -q" is run
+#
+SENDMAIL_EXPENSIVE="no"
+
+#
+# sendmail will not try to canonify hostnames in your email
+# so much less DNS-queries are send
+# you probably want to enable this on a SENDMAIL_EXPENSIVE system.
+# Don't forget to add the local, the mail hub, smart, and mail relay host
+# with their IP addresses and the corresponding Full Qualified Domain Names
+# to /etc/hosts
+#
+SENDMAIL_NOCANONIFY="no"
+
+#
+# this option forbids DNS-queries.  It requires a well configured
+# /etc/hosts as described for SENDMAIL_NOCANONIFY.  For most
+# people using dial on demand SENDMAIL_NOCANONIFY should work.
+#
+SENDMAIL_NODNS="no"
+
+#
+# let sendmail deliver local mails in defer (postpone) mode.
+# This also sets some entries to avoid dialups.  A correct
+# FQHOSTNAME for the local host is required.
+# 
+SENDMAIL_DIALUP="no"
+
+#
+# these domains can additional to the local domains be changed
+# in /etc/mail/genericstable
+#
+SENDMAIL_GENERICS_DOMAIN=""
+
+#
+# this is useful if you have several domains with disjoint namespaces
+# hosted on the same machine.
+#
+MASQUERADE_DOMAINS=""
diff -uNr sendmail-8.12.9.orig/PATCH/relay-domains sendmail-8.12.9/PATCH/relay-domains
--- sendmail-8.12.9.orig/PATCH/relay-domains	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/relay-domains	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,17 @@
+# /etc/mail/relay-domains
+#
+# Author: Werner Fink <werner@suse.de>
+#
+# Description:
+#
+#  All domain names given herein are allowed to relay and
+#  being relays for us in addition to the class R.
+#
+# Note:
+#
+#  If the FEATURE(`relay_hosts_only') is used only fully
+#  qualified domain host names are allowed.
+#  
+# Format:
+#
+#<domain-names>
diff -uNr sendmail-8.12.9.orig/PATCH/sendmail sendmail-8.12.9/PATCH/sendmail
--- sendmail-8.12.9.orig/PATCH/sendmail	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/sendmail	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,73 @@
+#! /bin/sh
+# Copyright (c) 1996-99 SuSE Gmbh Nuernberg, Germany.
+#
+# Author: Florian La Roche, 1996, 1997
+#	  Werner Fink <werner@suse.de>, 1996, 1999-2000
+#
+### BEGIN INIT INFO
+# Provides:       sendmail
+# Required-Start: $remote_fs amavis
+# Required-Stop:
+# Default-Start:  3 5
+# Default-Stop:
+# Description:    Start the Sendmail MTA
+### END INIT INFO
+
+. /etc/rc.config
+
+test -s /etc/rc.config.d/sendmail.rc.config && \
+      . /etc/rc.config.d/sendmail.rc.config
+
+# Determine the base and follow a runlevel link name.
+base=${0##*/}
+link=${base#*[SK][0-9][0-9]}
+
+# Force execution if not called by a runlevel directory.
+test $link = $base && SMTP=yes
+test "$SMTP" = yes || exit 0
+
+if test -z "$SENDMAIL_ARGS" ; then
+	SENDMAIL_ARGS="-bd -q30m -om"
+fi
+
+. /etc/rc.status
+rc_reset
+case "$1" in
+    start)
+	echo -n "Initializing SMTP port. (sendmail)"
+	startproc /usr/sbin/sendmail -L sm-mta -bd -q30m && /usr/sbin/sendmail -L sm-msp-queue -Ac -q30m
+	rc_status -v
+	;;
+    stop)
+	echo -n "Shutting down SMTP port:"
+	killproc -TERM /usr/sbin/sendmail && killproc -TERM /usr/sbin/sendmail
+	rc_status -v
+	;;
+    try-restart)
+	$0 stop && $0 start
+	rc_status
+	;;
+    restart)
+	$0 stop
+	$0 start
+	rc_status
+	;;
+    reload|force-reload)
+	echo -n "Reload service sendmail"
+	killproc -HUP /usr/sbin/sendmail
+	rc_status -v
+	;;
+    status)
+	echo -n "Checking for service sendmail: "
+	checkproc /usr/sbin/sendmail && echo OK
+	rc_status -v
+	;;
+    probe)
+	test /etc/sendmail.cf -nt /var/run/sendmail.pid \
+	&& echo reload
+	;;
+    *)
+	echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+	exit 1
+esac
+rc_exit
diff -uNr sendmail-8.12.9.orig/PATCH/sendmail.cw sendmail-8.12.9/PATCH/sendmail.cw
--- sendmail-8.12.9.orig/PATCH/sendmail.cw	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/sendmail.cw	Wed Apr  2 16:28:19 2003
@@ -0,0 +1 @@
+# sendmail.cw
diff -uNr sendmail-8.12.9.orig/PATCH/sendmail.mc sendmail-8.12.9/PATCH/sendmail.mc
--- sendmail-8.12.9.orig/PATCH/sendmail.mc	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/sendmail.mc	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,26 @@
+VERSIONID(`$Id: sendmail.mc,v 1.1 2002/12/11 14:02:38 cvstom Exp $')
+OSTYPE(linux)dnl
+DOMAIN(generic)dnl
+define(`ALIAS_FILE', `/etc/mail/aliases')dnl
+FEATURE(`use_cw_file')dnl
+define(`confCW_FILE', `/etc/mail/sendmail.cw')dnl
+FEATURE(`use_ct_file')dnl
+FEATURE(`virtusertable', `hash -o /etc/mail/virtusertable.db')dnl
+FEATURE(`access_db', `hash -T<TMPF> -o /etc/mail/access.db')dnl
+FEATURE(`mailertable', `hash -o /etc/mail/mailertable.db')
+FEATURE(`use_ct_file', `/etc/mail/trusted-users')
+FEATURE(`relay_mail_from')
+FEATURE(`redirect')
+FEATURE(`always_add_domain')
+FEATURE(`accept_unresolvable_domains')
+FEATURE(`blacklist_recipients')
+FEATURE(dnsbl, `blackholes.mail-abuse.org', `Rejected - see  http://www.mail-abuse.org/rbl/')dnl
+FEATURE(dnsbl, `dialups.mail-abuse.org', `Dialup - see http://www.mail-abuse.org/dul/')dnl
+FEATURE(dnsbl, `relays.mail-abuse.org', `Open spam relay - see http://work-rss.mail-abuse.org/rss/')dnl
+TRUST_AUTH_MECH(`GSSAPI CRAM-MD5 DIGEST-MD5 LOGIN PLAIN')dnl
+define(`confAUTH_MECHANISMS', `CRAM-MD5 DIGEST-MD5 LOGIN PLAIN')dnl
+define(`confDEF_AUTH_INFO', `/etc/mail/auth/auth-info')dnl
+MAILER(local)dnl
+MAILER(smtp)dnl
+MAILER(procmail)dnl
+
diff -uNr sendmail-8.12.9.orig/PATCH/service-nodns.switch sendmail-8.12.9/PATCH/service-nodns.switch
--- sendmail-8.12.9.orig/PATCH/service-nodns.switch	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/service-nodns.switch	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,13 @@
+# /etc/mail/service-nodns.switch
+#
+# Author: Werner Fink <werner@suse.de>
+#
+# The only difference between /etc/nsswitch.conf and
+# this file: There is NO colon after the service.
+# Remark: this setup should avoid dialups.
+#
+# This file is required for HACK(nodns) or SENDMAIL_NODNS.
+#
+#passwd		files
+hosts		files
+aliases		files
diff -uNr sendmail-8.12.9.orig/PATCH/service.switch sendmail-8.12.9/PATCH/service.switch
--- sendmail-8.12.9.orig/PATCH/service.switch	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/service.switch	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,28 @@
+# /etc/mail/service.switch
+#
+# Author: Werner Fink <werner@suse.de>
+#
+# The only difference between /etc/nsswitch.conf and
+# this file: There is NO colon after the service.
+#
+# This file is used by sendmail to resolve the Fully Qualified
+# Domain Names (FQDN) of hosts.
+#
+# All lines with `#' at the begining are comments.   For Domain Name
+# Service (DNS) the keyword `dns' is used.   For NIS add the keyword
+# `nis'.  The search order is the same order as written herein.  For
+# NISPLUS add the keyword `nisplus'.  Some NIS server do not provide
+# all mappings.  Check out the available maps by calling `ypcat -x'.
+#
+
+#passwd		files
+hosts		files dns
+aliases		files
+
+#passwd		files nis
+#hosts		files nis dns
+#aliases	files nis
+
+#passwd		files nisplus nis
+#hosts		files nisplus nis dns
+#aliases	files nisplus nis
diff -uNr sendmail-8.12.9.orig/PATCH/site.config.m4 sendmail-8.12.9/PATCH/site.config.m4
--- sendmail-8.12.9.orig/PATCH/site.config.m4	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/site.config.m4	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,12 @@
+TRUST_AUTH_MECH(`LOGIN PLAIN')
+define(`confAUTH_MECHANISMS',`LOGIN PLAIN')
+APPENDDEF(`confENVDEF', `-DSASL -DNEWDB')
+APPENDDEF(`confINCDIRS', `-I/usr/include/db3')
+APPENDDEF(`confLIBS', `-lsasl')
+define(`confMANROOT', `/usr/share/man/man')
+APPENDDEF(`conf_sendmail_ENVDEF',`-DMILTER')
+define(`confCC', `gcc')
+
+APPENDDEF(`conf_sendmail_ENVDEF', `-DTCPWRAPPERS')
+APPENDDEF(`conf_sendmail_LIBS', `-lwrap')
+
diff -uNr sendmail-8.12.9.orig/PATCH/site.config.m4~ sendmail-8.12.9/PATCH/site.config.m4~
--- sendmail-8.12.9.orig/PATCH/site.config.m4~	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/site.config.m4~	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,9 @@
+TRUST_AUTH_MECH(`LOGIN PLAIN')dnl
+define(`confAUTH_MECHANISMS',`LOGIN PLAIN')dnl
+APPENDDEF(`confENVDEF', `-DSASL -DNEWDB -DTCPWRAPPERS')
+APPENDDEF(`confINCDIRS', `-I/usr/include/db3')
+APPENDDEF(`confLIBS', `-lsasl -lwrap')
+define(`confMANROOT', `/usr/share/man/man')
+APPENDDEF(`conf_sendmail_ENVDEF',`-DMILTER')
+define(`confCC', `ccache gcc')
+
diff -uNr sendmail-8.12.9.orig/PATCH/trusted-users sendmail-8.12.9/PATCH/trusted-users
--- sendmail-8.12.9.orig/PATCH/trusted-users	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/trusted-users	Wed Apr  2 16:28:19 2003
@@ -0,0 +1 @@
+# trusted-users
diff -uNr sendmail-8.12.9.orig/PATCH/userdb sendmail-8.12.9/PATCH/userdb
--- sendmail-8.12.9.orig/PATCH/userdb	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/userdb	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,9 @@
+# /etc/mail/userdb
+#
+# maps incoming and outgoing email - in many cases it may
+# work better if you use virtusertable and genericstable !
+#
+# bar:mailname			foo.name@domain.com
+# foo.name@domain.com:maildrop	bar
+# (Note: separate with tabs   ^^  here !!)
+#
diff -uNr sendmail-8.12.9.orig/PATCH/virtusertable sendmail-8.12.9/PATCH/virtusertable
--- sendmail-8.12.9.orig/PATCH/virtusertable	Thu Jan  1 01:00:00 1970
+++ sendmail-8.12.9/PATCH/virtusertable	Wed Apr  2 16:28:19 2003
@@ -0,0 +1,19 @@
+# /etc/mail/virtusertable
+#
+# Author: Werner Fink <werner@suse.de>
+#
+# Description:
+#
+#  A domain-specific form of aliasing, allowing multiple virtual
+#  domains to be hosted on one machine.
+#
+# Examples:
+#
+#info@foo.com		foo-info
+#info@bar.com		bar-info
+#joe@bar.com		error:nouser No such user here
+#jax@bar.com		error:D.S.N:unavailable Address invalid
+#@baz.org		jane@example.net
+#            ^^^^^^^^^^^
+#     (these are <TAB> stops)
+#
